Skip to main content
POST
/
gtm
/
profiles
/
{id}
/
discover-leads
/
Discover leads with buying signals
curl --request POST \
  --url https://earthcare.network/api/v1/gtm/profiles/{id}/discover-leads/ \
  --header 'Authorization: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "first_name": "<string>",
    "last_name": "<string>",
    "company": "<string>",
    "title": "<string>",
    "fit_score": 123,
    "intent_score": 50,
    "intent_signals": [
      {
        "source": "<string>",
        "platform": "<string>",
        "post_url": "<string>",
        "snippet": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

DRF user token. Format: Token <token>

Path Parameters

id
string<uuid>
required

Response

Ranked leads with intent signals

id
string<uuid>
first_name
string
last_name
string
company
string
title
string
fit_score
number
intent_score
integer
Required range: 0 <= x <= 100
intent_signals
object[]
stage
enum<string>
Available options:
discovered,
shortlisted,
archived